<?php
include("cp_header.php"); 
//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));


/*  اسم الجدول وبداية الكويرى */  
$table='polls';


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}
//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {


$type=$_POST['type'];

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$modified=date('Y-m-d H:i:s');


$priority=0;
if(isset($_POST['priority'])){ $priority=1; }


//بداية الاستعلام
$query="update $table set `type`='$type' ,`title`='$title', `modified`='$modified' ,`priority`=$priority where id=".$_GET['id'];


//بداية الاستعلام
$query= mysqli_prepare(

 

			$conn,

			"Update `$table` 
			set  `type`=? ,`title`=?, `modified`=? ,`user_modified`=? ,`priority`=?
			Where id= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'ssssii',
			
		 $type,$title,$modified,$_SESSION[$domain."_user"],$priority,$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع التعديل</div>";
goto endall;
}else{
echo "<div class='false'>لم يتم رفع التعديل</div>";		
}

unset($_POST['submit']);


}

error:


//بداية الاستعلام
$query="select * from polls where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
	

?>	
	
	
	
	
<div id="cp_title"> تعديل خبر
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">


<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span>نوع الاستبيان</div>
<div class="cp_field">
<select aria-labelledby='lbl-main-menu-mob'  alt="1" id="depart" class="required" name="type" >	


<option></option>	

<option value="الزوار"         <?php if($fetch['type']=='الزوار'){echo 'selected';} ?> >الزوار</option>
<option value="الموظفين"       <?php if($fetch['type']=='الموظفين'){echo 'selected';} ?> >الموظفين</option>
<option value="المستفيدين" <?php if($fetch['type']=='المستفيدين'){echo 'selected';} ?>>المستفيدين</option>
<option value="المتطوعين"  <?php if($fetch['type']=='المتطوعين'){echo 'selected';} ?> >المتطوعين</option>


</select>	

<div class="field_val"></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">عنوان الاستبيان</div>
<div class="cp_field">
<input value="<?php echo $fetch['title'] ?>"  alt="1" class="required" name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>



<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo '<a class="true" href="view_polls.php?search=">الانتقال لصفحة الإستبيانات</a>';
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_polls.php?search=";
}, 5000);


});
</script>



